Subject: Re: bug#19350: #19350 24.4; Incorrect quoting of %-signs for Windows command shell

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Oct 2016 22:15:21 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 3 Oct 2016 14:47:37 -0400
> Cc: Demi Obenour <[email-masked]>, [email-masked]
> 
> So I have been thinking about this. As far as I can tell, the %CD:~,0%
> hack is the only way to solve it. We can make it conditional on having
> command extensions enabled, see attached.

I'm uneasy using such tricks in our sources.  No one said they will
continue working in future versions of cmd.exe, or that they work now
in replacement shells used out there.  It could also get in the way of
developing cmdproxy.

The use case is marginal enough for us to leave it alone, I think.

Thanks.